> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Context

> Return everything the playground knows about this session's parent dataset.

Safe to call regardless of whether the session actually came from a dataset —
returns an empty context for ad-hoc sessions.



## OpenAPI

````yaml /api-reference/openapi.json get /api/playground/sessions/{session_id}/context
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/sessions/{session_id}/context:
    get:
      tags:
        - playground-integrations
      summary: Get Session Context
      description: >-
        Return everything the playground knows about this session's parent
        dataset.


        Safe to call regardless of whether the session actually came from a
        dataset —

        returns an empty context for ad-hoc sessions.
      operationId: get_session_context_api_playground_sessions__session_id__context_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionContextResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionContextResponse:
      properties:
        session_id:
          type: string
          title: Session Id
        linked_dataset:
          anyOf:
            - $ref: '#/components/schemas/DatasetBrief'
            - type: 'null'
        structure_profile:
          anyOf:
            - $ref: '#/components/schemas/StructureProfileHints'
            - type: 'null'
        scans:
          items:
            $ref: '#/components/schemas/ScanBrief'
          type: array
          title: Scans
          default: []
        top_findings:
          items:
            $ref: '#/components/schemas/FindingBrief'
          type: array
          title: Top Findings
          default: []
        active_shortcut_count:
          type: integer
          title: Active Shortcut Count
          default: 0
        guidance_count:
          type: integer
          title: Guidance Count
          default: 0
      type: object
      required:
        - session_id
      title: SessionContextResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetBrief:
      properties:
        id:
          type: string
          title: Id
        numeric_id:
          type: integer
          title: Numeric Id
        name:
          type: string
          title: Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        class_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Class Count
        classes:
          items:
            type: string
          type: array
          title: Classes
          default: []
        vulnerabilities:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vulnerabilities
        vulnerability_types:
          anyOf:
            - type: string
            - type: 'null'
          title: Vulnerability Types
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        last_scan_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Scan At
      type: object
      required:
        - id
        - numeric_id
        - name
      title: DatasetBrief
    StructureProfileHints:
      properties:
        profile_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Profile Id
        profile_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Profile Version
        profile_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Status
        suggested_target_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Target Column
        suggested_protected_columns:
          items:
            type: string
          type: array
          title: Suggested Protected Columns
          default: []
        suggested_path_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Suggested Path Column
        classes:
          items:
            type: string
          type: array
          title: Classes
          default: []
        summary:
          type: object
          title: Summary
          default: {}
      type: object
      title: StructureProfileHints
    ScanBrief:
      properties:
        id:
          type: string
          title: Id
        scan_type:
          type: string
          title: Scan Type
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Progress
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        result_count:
          type: integer
          title: Result Count
          default: 0
        top_flags:
          items:
            type: string
          type: array
          title: Top Flags
          default: []
      type: object
      required:
        - id
        - scan_type
      title: ScanBrief
    FindingBrief:
      properties:
        result_uuid:
          type: string
          title: Result Uuid
        filepath:
          type: string
          title: Filepath
        given_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Label
        predicted_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Predicted Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        flags:
          type: object
          title: Flags
          default: {}
        extra:
          anyOf:
            - type: object
            - type: 'null'
          title: Extra
      type: object
      required:
        - result_uuid
        - filepath
      title: FindingBrief
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````